export default {
    steps: {
        page0: {
          elements: [
            'h4',
            'day_time_symptoms',
            'night_symptoms_copy',
            'during_or_after_exersise_symptoms',
            'extra_albuterol_use',
          ],
        },
        page1: {
          elements: [
            'h4_1',
            'upper_respiratory_symptoms',
            'upper_respiratory_symptoms_copy',
          ],
        },
        page2: {
          elements: [
            'h4_2',
            'lung_function_test',
            'container',
          ],
        },
        page3: {
          elements: [
            'h4_3',
            'alergy_symptoms_month',
          ],
        },
      },
      schema: {
        h4: {
          type: 'static',
          tag: 'h4',
          content: 'COUGH OR WHEEZE SYMPTOMS',
        },
        day_time_symptoms: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'less_than_twice_weekly',
              label: 'Less than twice weekly',
            },
            {
              value: 'more_than_twice_weekly',
              label: 'More than twice weekly',
            },
            {
              value: 'daily',
              label: 'Daily',
            },
            {
              value: 'continuous',
              label: 'Continuous',
            },
          ],
          label: 'DAYTIME SYMPTOMS',
        },
        night_symptoms_copy: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'less_than_twice_weekly',
              label: 'Less than twice weekly',
            },
            {
              value: 'more_than_twice_weekly',
              label: 'More than twice weekly',
            },
            {
              value: 'nightly',
              label: 'Nightly',
            },
          ],
          label: 'NIGHT SYMPTOMS\n',
        },
        during_or_after_exersise_symptoms: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'exercise_symptoms_may_occur',
              label: 'Exercise symptoms may occur',
            },
            {
              value: 'less_than_once_weekly',
              label: 'Less than once weekly',
            },
            {
              value: 'frequent_exercise_symptoms',
              label: 'Frequent exercise symptoms',
            },
            {
              value: 'significant_limitation_activity',
              label: 'Significant limitation activity',
            },
          ],
          label: 'DURING OR AFTER EXERCISE',
        },
        extra_albuterol_use: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'occasional_use',
              label: 'Occasional use',
            },
            {
              value: 'periods_of_daily_use',
              label: 'Periods of daily use',
            },
            {
              value: 'daily_use',
              label: 'Daily use',
            },
            {
              value: 'frequent_daily_need',
              label: 'Frequent daily need',
            },
            {
              value: '_',
              label: null,
            },
          ],
          label: 'EXTRA ALBUTEROL USE',
        },
        h4_1: {
          type: 'static',
          tag: 'h4',
          content: 'ALLERGY - LIKE SYMPTOMS',
        },
        upper_respiratory_symptoms: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'sneezing',
              label: 'Sneezing',
            },
            {
              value: 'sniffing_drippy_nose',
              label: 'Sniffing drippy nose',
            },
            {
              value: 'itchy_eyes_nose',
              label: 'Itchy eyes/nose',
            },
            {
              value: 'dark_circles_under_eyes',
              label: 'Dark circles under eyes',
            },
            {
              value: 'sinus_infection',
              label: 'Sinus infection',
            },
            {
              value: 'mouth_breathing_snoring',
              label: 'mouth breathing/snoring',
            },
            {
              value: 'congestion',
              label: 'Congestion',
            },
            {
              value: 'dry_skin',
              label: 'Dry Skin',
            },
          ],
          label: 'UPPER RESPIRATORY SYMPTOMS',
        },
        upper_respiratory_symptoms_copy: {
          type: 'checkboxgroup',
          items: [
            {
              value: 'smoke',
              label: 'Smoke',
            },
            {
              value: 'fireplace_woodstove',
              label: 'Fireplace/woodstove',
            },
            {
              value: 'animals',
              label: 'Animals',
            },
            {
              value: 'feather',
              label: 'Feather (pillows, stuffed animals)',
            },
            {
              value: 'carpeting',
              label: 'Carpeting',
            },
            {
              value: 'bedroom_carpeting',
              label: 'Bedroom carpeting',
            },
            {
              value: 'forced_air_heat',
              label: 'Forced air heat',
            },
            {
              value: 'mold_in_lower level',
              label: 'Mold in lower level',
            },
          ],
          label: 'EXPOSURES',
        },
        h4_2: {
          type: 'static',
          tag: 'h4',
          content: 'Has the patient ever had a breathing/lung function test?',
        },
        lung_function_test: {
          type: 'radiogroup',
          items: [
            {
              value: 'yes',
              label: 'Yes',
            },
            {
              value: 'no',
              label: 'No',
            },
          ],
        },
        container: {
          type: 'group',
          schema: {
            text: {
              type: 'text',
              label: 'When?',
            },
          },
          conditions: [
            [
              'lung_function_test',
              'in',
              [
                'yes',
              ],
            ],
          ],
        },
        h4_3: {
          type: 'static',
          tag: 'h4',
          content: 'Please select symptoms month',
        },
        alergy_symptoms_month: {
          type: 'checkboxgroup',
          items: [
            {
              value: '1',
              label: 'January',
            },
            {
              value: '2',
              label: 'February',
            },
            {
              value: '3',
              label: 'March',
            },
            {
              value: '4',
              label: 'April',
            },
            {
              value: '5',
              label: 'May',
            },
            {
              value: '6',
              label: 'June',
            },
            {
              value: '7',
              label: 'July',
            },
            {
              value: '8',
              label: 'August',
            },
            {
              value: '9',
              label: 'September',
            },
            {
              value: '10',
              label: 'October',
            },
            {
              value: '11',
              label: 'November',
            },
            {
              value: '12',
              label: 'December',
            },
          ],
        },
      },
}
